function init(hero) {
    hero.setName("Red Robin/Tim Drake");
    hero.setAliases("Robin 3");
    hero.setTier(3);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");
    
    hero.setHelmet("Cowl");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.setPrimaryEquipment("fiskheroes:grappling_gun");
    
    hero.addPowers("mvh:ttrobin_red");
    hero.addAttribute("PUNCH_DAMAGE", 4.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 5.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 3.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("FLIGHTSTYLETOGGLE", "Toggle Wings", 2)
    hero.addKeyBind("BLADE", "Equip Bo-Staff", 3);

    hero.setDefaultScale(1.0);
    
    hero.setHasPermission(hasPermission);
    hero.setModifierEnabled(isModifierEnabled);
    hero.addAttributeProfile("STAFF", weaponProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}
function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:gliding":
        return entity.getData("mvh:dyn/flightstyletoggle");
    case "fiskheroes:gliding|wings":
        return !entity.getData("mvh:dyn/flightstyletoggle");
    default:
        return true;
    }
}
function weaponProfile(profile) {
    profile.addAttribute("FALL_RESISTANCE", 1, 1);
    profile.addAttribute("PUNCH_DAMAGE", 5, 0);
    profile.addAttribute("WEAPON_DAMAGE", 6.0, 0);
    profile.addAttribute("SPRINT_SPEED", 0.25, 1);
    profile.addAttribute("BASE_SPEED", 0.10, 1);
    profile.addAttribute("REACH_DISTANCE", 2.0, 0);
    profile.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);
    profile.addAttribute("JUMP_HEIGHT", 1.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "STAFF" : null;
}